O Oracle database ao ser instalado no redhat 5, necessita de todos os pacotes que são solicitados pelo instalador:

rpm -qa –queryformat “%{NAME}-%{VERSION}-%{RELEASE} (%{ARCH})n” | grep glibc-devel

Observe a notacao X86_64 ou seja deve ser tanto para instalacoes 64 bits ou 32 bits.

binutils-2.17.50 (x86_64)
compat-db-4.2.52 (x86_64)
compat-libstdc++-296(i386)
compat-libstdc++-33-3.2.3 (x86_64)
compat-libstdc++-33-3.2.3(i386)
control-center-2.16.0 (x86_64)
gcc-4.1.1 (x86_64)
gcc-c++-4.1.1 (x86_64)
glibc-2.5-12 (x86_64)
glibc-2.5-12 (i686)
glibc-common-2.5-12 (x86_64)
glibc-devel-2.5-12 (x86_64)
glibc-devel-2.5-12(i386)
glibc-headers-2.5-12 (x86_64)
ksh-20060214-1.4 (x86_64)
libaio-0.3.96 (x86_64)
libgcc-4.1.1(i386)
libgcc-4.1.1(x86_64)
libgnome-2.16.0 (x86_64)
libgnomeui-2.16.0 (x86_64)
libgomp-4.1.1 (x86_64)
libstdc++-4.1.1 (x86_64)
libstdc++-devel-4.1.1 (x86_64)
libXp-1.0.0-8 (i386)
make-3.81 (x86_64)
sysstat-7.0.0 (x86_64)

Para resolver alguns pacotes use a ULN

http://public-yum.oracle.com/

http://public-yum.oracle.com/repo/EnterpriseLinux/EL5/0/base/i386/

libXp package is missing from list of packages required to install Oracle
10.2 on RHEL 5 in the Release Notes

libXp.so.6 missing

problema xorg-x11-depreciated-libs-6.8.2-1.EL.13.6.i386.rpm

Para resolver o problema baixe a biblioteca faltante do site da Oracle e instale no seu servidor:

http://public-yum.oracle.com/repo/EnterpriseLinux/EL5/0/base/i386/libXp-1.0.0-8.i386.rpm

rpm -i libXp-1.0.0-8.i386.rpm

se caso ainda persistir por erro do sistema operacional rode com a opcao abaixo:

./runInstaller -ignoreSysPrereqs